#!/usr/bin/bash
export PATH=/usr/bin:$PATH
clear
cat banner.six
echo Initializing ...
echo
echo $*
echo "Please wait while checking available version on https://h3droid.com"
echo
export URL=$(wget -q  -T5 --no-check-certificate -O- https://www.h3droid.com/h3droid/latest.txt )
export VER=$(basename $(echo $URL|cut -d- -f2) .tar)


if [ -f "/c/tmp/DEV" ]
then
    export WD=/c/tmp
	URL="http://192.168.0.254/h3droid/tmp/h3droid_installer.img.xz"
else
    export WD=/tmp
	URL="https://cdn.h3droid.com/h3droid/images/h3droid_installer.img.xz"
fi

export XZT=${WD}/xzcat.img
export IMG=${WD}/h3droid_installer-${VER}.img


echo "Current Version $VER, URL = $URL"
echo "Working directory ${WD}"
echo "Image Name ${IMG}"

mkdir ${WD} -p

wget -q --no-check-certificate -nc --tries=3 -T10 -O- "${URL}.md5" > ${IMG}.stream.md5

if [ -f ${IMG} ]
then
    echo "Version ${VER} has already been retrieved"
else
    if wget --limit-rate=10485760 -T8 --no-check-certificate -O- ${URL} | xzcat > ${XZT}
    then
        mv ${XZT} ${IMG}
    fi
fi


cd /usr/src/
. get.sh
cd /

echo Launching install assistant
bash --login /h3droid.sh
























#
